Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.config.java.plugin.context
Annotation Type MBeanExport

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Inherited
    @Documented
    public @interface MBeanExport

Activates default exporting of MBeans by detecting standard MBeans in the Spring context as well as `@ManagedResource` annotations on Spring-defined beans.

The resulting `MBeanExporter` bean is defined under the name "mbeanExporter". Alternatively, consider defining a custom AnnotationMBeanExporter bean explicitly.

This annotation is modeled after and functionally equivalent to Spring XML's `<context:mbean-export/>` element

Author:
  Chris Beams

Optional Element Summary
`java.lang.String` | `defaultDomain` The default domain to use when generating JMX ObjectNames.
`RegistrationPolicy` | `registration` The registration behavior, indicating how to deal with existing MBeans of the same name: fail with an exception, ignore and keep the existing MBean, or replace the existing one with the new MBean.
`java.lang.String` | `server` The bean name of the MBeanServer to which MBeans should be exported.

### defaultDomain

    public abstract java.lang.String defaultDomain

  The default domain to use when generating JMX ObjectNames.

  Default:
    ""

### server

    public abstract java.lang.String server

  The bean name of the MBeanServer to which MBeans should be exported. Default is to use the platform's default MBeanServer (autodetecting WebLogic 9+, WebSphere 5.1+ and the JDK 1.5+ platform MBeanServer).

  Default:
    ""

### registration

    public abstract RegistrationPolicy registration

  The registration behavior, indicating how to deal with existing MBeans of the same name: fail with an exception, ignore and keep the existing MBean, or replace the existing one with the new MBean.

  Default is to fail with an exception.

  Default:
    org.springframework.config.java.plugin.context.RegistrationPolicy.FAIL_ON_EXISTING

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT